# Method: platforms.accounts.list

- [HTTP request](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts/list#body.request_body)
- [Response body](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts/list#body.response_body)
  - [JSON representation](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts/list#body.ListAccountsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts/list#body.aspect)
- [Try it!](https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts/list#try-it)

Lists a partial view of sub-accounts for a specific parent account.

### HTTP request

`GET https://adsenseplatform.googleapis.com/v1alpha/{parent=platforms/*}/accounts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Platform who parents the accounts. Format: platforms/{platform} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of accounts to include in the response, used for paging. If unspecified, at most 10000 accounts will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000. |
| `pageToken` | `string` Optional. A page token, received from a previous `accounts.list` call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

Response definition for the list accounts rpc.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "accounts": [ { object (`https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts#Account`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `accounts[]` | ``object (`https://developers.google.com/adsense/platforms/reference/rest/v1alpha/platforms.accounts#Account`)`` The Accounts returned in the list response. Represented by a partial view of the Account resource, populating `name` and `creationRequestId`. |
| `nextPageToken` | `string` Continuation token used to page through accounts. To retrieve the next page of the results, set the next request's "pageToken" value to this. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/adsense`
- `
  https://www.googleapis.com/auth/adsense.readonly`